# GCP - Secretmanager Privesc

{{#include ../../../banners/hacktricks-training.md}}

## secretmanager

Za više informacija o secretmanager:

{{#ref}}
../gcp-services/gcp-secrets-manager-enum.md
{{#endref}}

### `secretmanager.versions.access`

Ovo vam daje pristup za čitanje tajni iz menadžera tajni i možda bi to moglo pomoći u eskalaciji privilegija (u zavisnosti od toga koje informacije su pohranjene unutar tajne):
```bash
# Get clear-text of version 1 of secret: "<secret name>"
gcloud secrets versions access 1 --secret="<secret_name>"
```
Kao što je ovo takođe tehnika post eksploatacije, može se naći u:

{{#ref}}
../gcp-post-exploitation/gcp-secretmanager-post-exploitation.md
{{#endref}}

### `secretmanager.secrets.setIamPolicy`

Ovo vam omogućava pristup za čitanje tajni iz menadžera tajni, kao što je korišćenje:
```bash
gcloud secrets add-iam-policy-binding <scret-name> \
--member="serviceAccount:<sa-name>@$PROJECT_ID.iam.gserviceaccount.com" \
--role="roles/secretmanager.secretAccessor"
```
{{#include ../../../banners/hacktricks-training.md}}
